org.apache.hadoop.yarn.server.api.protocolrecords

## Class DistributedSchedulingAllocateResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.DistributedSchedulingAllocateResponse

- Direct Known Subclasses:
    DistributedSchedulingAllocateResponsePBImpl

      @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class DistributedSchedulingAllocateResponse
      extends Object

  This is the response of the Resource Manager to the `DistributedSchedulingAllocateRequest`, when distributed scheduling is enabled. It includes the `AllocateResponse` for the GUARANTEED containers allocated by the Resource Manager. Moreover, it includes a list with the nodes that can be used by the Distributed Scheduler when allocating containers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedSchedulingAllocateResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse` | `getAllocateResponse()`
    `abstract List<RemoteNode>` | `getNodesForScheduling()`
    `static DistributedSchedulingAllocateResponse` | `newInstance(org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse allResp)`
    `abstract void` | `setAllocateResponse(org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse response)`
    `abstract void` | `setNodesForScheduling(List<RemoteNode> nodesForScheduling)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedSchedulingAllocateResponse

          public DistributedSchedulingAllocateResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static DistributedSchedulingAllocateResponse newInstance(org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse allResp)

    - #### setAllocateResponse

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAllocateResponse(org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse response)

    - #### getAllocateResponse

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract org.apache.hadoop.yarn.api.protocolrecords.AllocateResponse getAllocateResponse()

    - #### setNodesForScheduling

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNodesForScheduling(List<RemoteNode> nodesForScheduling)

    - #### getNodesForScheduling

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<RemoteNode> getNodesForScheduling()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.